Kerbal Space Program - Bug #18503

Mission Builder: Ships sometimes explode on launch pad when testing mission
04/10/2018 08:29 PM - Klapaucius

Status: Closed Start date: 04/10/2018
Severity: Low % Done: 100%
Assignee:

Category: Bug Tracker

Target version: 1.4.3

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

PRIORITY: Normal: Does not alway affect the game, but when it does, makes mission unusable.

PROBLEM:
In Mission Builder: Ships sometimes are formed within the launchpad and explode when testing missions.

When placing the launch pad in various locations sometimes, when clicking the "Test Mission" button, the result is the ship briefly
appearing within the launchpad before the whole thing explodes. There seems to be little consistency in this. Sometimes the fix is
simply to move the launch pad to a new location. Sometimes simply reverting to the Mission Builder and restarting the test will do it.

The ship appearing withing the launch pad
Exploding:
Location was Pol, Longitude -126.62, Latitude 40.95, however this has happened often at random locations on various celestial
bodies: Eve, Kerbin, Duna.

The ship was a modified Stearwing with rapier engines attached. It loaded fine at another location.
However, | have experienced this problem with various ships at various locations. While | am currently using some mods, when | first
bought the Making History set, | was playing with a completely unmodded game and experiencing the same issue. This time around,
| made sure to use no mod parts and still the same result. Note, | have also been able to fly modded craft with no problems.

History

#1 - 04/26/2018 11:16 PM - Squelch
- Status changed from New to Ready to Test
- Target version set to 1.4.3

- % Done changed from 0 to 80

Improvements have been made to prevent this.

#2 - 07/24/2019 11:55 PM - chris.fulton
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#3 - 07/24/2019 11:55 PM - chris.fulton

- Status changed from Resolved to Closed
